## qstopmotion 2.3.2

=== CMakeLists.txt ===
###############################################################################
# CMake file for the qStopMotion project                                      #
# (c) Ralf Lange, longsoft.de                                                 #
# Last update: 2016-11-10                                                     #
#                                                                             #
# Usage:                                                                      #
#   * Qt-Creator (Windows, Linux)                                             #
#      + open this file                                                       #
#      + select a destination directory                                       #
#      + press the CMake button                                               #
#   * makefile: (Windows)                                                     #
#      + open Visual Studio Command Prompt                                    #
#        (for 64bit use: 'VS2013 x64 Native Tools Command Prompt'             #
#        (for 32bit use: 'VS2013 x32 Native Tools Command Prompt'             #
#      + cmake -G "NMake Makefiles" .                                         #
#      + nmake                                                                #
#      + nmake install (with administration rights)                           #
#      + nmake package                                                        #
#   * makefile: (Linux)                                                       #
#      + cmake .                                                              #
#      + make                                                                 #
#      + sudo make install                                                    #
#   * MS Visual Studio (Windows)                                              #
#      + for 32bit: cmake -G "Visual Studio 12 2013"                          #
#      + for 64bit: cmake -G "Visual Studio 12 2013 x64"                      #
#      + open the solution file                                               #
#                                                                             #
###############################################################################

project(qStopMotion)

cmake_minimum_required(VERSION 2.8.8)

###############################################################################
# Platform check
###############################################################################

IF(WIN32)
    IF(CMAKE_CL_64)
        message("Target platform: Windows 64bit")
    ELSE(CMAKE_CL_64)
        message("Target platform: Windows 32bit")
    ENDIF(CMAKE_CL_64)
ELSEIF(UNIX)
    IF(APPLE)
        message(
            FATAL_ERROR
            "Target platform: MacOS 64bit - Not supported!"
        )
    ENDIF(APPLE)

    IF("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        message("Target platform: Unix 64bit")
    ELSE("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        message("Target platform: Unix 32bit")
    ENDIF("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
ELSE(WIN32)
    message(
        FATAL_ERROR
        "Target platform - Not supported!"
    )
ENDIF(WIN32)

###############################################################################
# General project settings
###############################################################################

IF(NOT DEFINED CMAKE_BUILD_TYPE)
    SET(
        CMAKE_BUILD_TYPE
        "Release"
        CACHE
        STRING
        "Create Release Version"
        FORCE
    )
ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)

SET(CMAKE_PROJECT_NAME "qstopmotion")
SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
SET(QSTOPMOTION_VERSION_MAJOR "2")
SET(QSTOPMOTION_VERSION_MINOR "3")
SET(QSTOPMOTION_VERSION_PATCH "2")

SET(FILES_TO_TRANSLATE )

###############################################################################
# Qt5 support
###############################################################################

# Enable/disable Qt functionality
SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

# find and setup Qt5 for this poroject
find_package(Qt5 REQUIRED COMPONENTS Core Widgets Xml)

message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")

IF(CMAKE_BUILD_TYPE STREQUAL "Release")
    message("No Qt debug and warning output!")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
    add_definitions(-DQT_NO_WARNING_OUTPUT)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release")

###############################################################################
# File definitions
###############################################################################

# add all header files of the project to HEADERS
SET(
    HEADERS
    src/frontends/observer.h
    src/frontends/frontend.h
    src/frontends/viewfacade.h
    src/frontends/qtfrontend/dialogs/licence.h
    src/frontends/qtfrontend/timeline/exposurethumbview.h
    src/frontends/qtfrontend/timeline/thumbview.h
    src/technical/util.h
    src/technical/audio/audiodriver.h
    src/technical/audio/audioformat.h
    src/technical/grabber/grabbercontrolcapabilities.h
    src/technical/grabber/grabbercontroller.h
    src/technical/grabber/grabberresolution.h
    src/technical/grabber/imageconverter.h
    src/technical/grabber/imagegrabberdevice.h
    src/technical/grabber/imagegrabberthread.h
    src/technical/videoencoder/ffmpegencoder.h
    src/technical/videoencoder/libavencoder.h
    src/technical/videoencoder/videoencoder.h
    src/technical/videoencoder/videoencoderfactory.h
)

IF(WIN32)
    SET(
        HEADERS
        ${HEADERS}
        src/technical/grabber/mediafoundation/mfcontroller.h
        src/technical/grabber/mediafoundation/mfutil.h
    )
ENDIF(WIN32)

IF(UNIX AND NOT APPLE)
    SET(
        HEADERS
        ${HEADERS}
        src/technical/grabber/gphoto2/gpcontroller.h
        src/technical/grabber/video4linux2/v4l2controller.h
    )
ENDIF(UNIX AND NOT APPLE)

# add all header files of the project to MOC to MOC_HEADERS
SET(
    MOC_HEADERS
    src/domain/domainfacade.h
    src/domain/animation/animationproject.h
    src/domain/animation/exposure.h
    src/domain/animation/projectserializer.h
    src/domain/animation/scene.h
    src/domain/animation/take.h
    src/domain/undo/undobase.h
    src/domain/undo/undoexposureadd.h
    src/domain/undo/undoexposureinsert.h
    src/domain/undo/undoexposuremove.h
    src/domain/undo/undoexposureremove.h
    src/domain/undo/undoexposureselect.h
    src/domain/undo/undoprojectnew.h
    src/domain/undo/undoprojectopen.h
    src/domain/undo/undosceneadd.h
    src/domain/undo/undosceneinsert.h
    src/domain/undo/undoscenemove.h
    src/domain/undo/undosceneremove.h
    src/domain/undo/undosceneselect.h
    src/domain/undo/undotakeadd.h
    src/domain/undo/undotakeinsert.h
    src/domain/undo/undotakemove.h
    src/domain/undo/undotakeremove.h
    src/domain/undo/undotakeselect.h
    src/frontends/qtfrontend/mainwindowgui.h
    src/frontends/qtfrontend/menuframe.h
    src/frontends/qtfrontend/qtfrontend.h
    src/frontends/qtfrontend/toolbar.h
    src/frontends/qtfrontend/dialogs/aboutdialog.h
    src/frontends/qtfrontend/dialogs/cameracontrollerdialog.h
    src/frontends/qtfrontend/dialogs/descriptiondialog.h
    src/frontends/qtfrontend/dialogs/externalcommanddialog.h
    src/frontends/qtfrontend/dialogs/helpbrowser.h
    src/frontends/qtfrontend/dialogs/startdialog.h
    src/frontends/qtfrontend/elements/clickablelabel.h
    src/frontends/qtfrontend/elements/flexiblelineedit.h
    src/frontends/qtfrontend/elements/flexiblespinbox.h
    src/frontends/qtfrontend/frameview/frameviewimage.h
    src/frontends/qtfrontend/frameview/frameviewinterface.h
    src/frontends/qtfrontend/preferences/exportwidget.h
    src/frontends/qtfrontend/preferences/generaldialog.h
    src/frontends/qtfrontend/preferences/generalwidget.h
    src/frontends/qtfrontend/preferences/grabberwidget.h
    src/frontends/qtfrontend/preferences/importwidget.h
    src/frontends/qtfrontend/preferences/projectdialog.h
    src/frontends/qtfrontend/preferences/projectwidget.h
    src/frontends/qtfrontend/preferences/transformwidget.h
    src/frontends/qtfrontend/timeline/timeline.h
    src/frontends/qtfrontend/tooltabs/compositingtab.h
    src/frontends/qtfrontend/tooltabs/projecttab.h
    src/frontends/qtfrontend/tooltabs/recordingtab.h
    src/frontends/qtfrontend/tooltabs/viewtab.h
    src/technical/externalchangemonitor.h
    src/technical/preferenceselement.h
    src/technical/preferencestool.h
    src/technical/grabber/imagegrabber.h
    src/technical/grabber/imagegrabberfacade.h
)

IF(WIN32)
    SET(
        MOC_HEADERS
        ${MOC_HEADERS}
        src/technical/grabber/mediafoundation/mfgrabber.h
    )
ENDIF(WIN32)

IF(UNIX AND NOT APPLE)
    SET(
        MOC_HEADERS
        ${MOC_HEADERS}
        src/technical/grabber/gphoto2/gpgrabber.h
        src/technical/grabber/video4linux2/v4l2grabber.h
    )
ENDIF(UNIX AND NOT APPLE)

# add all source files to SOURCES
SET(
    SOURCES
    src/main.cpp
    src/domain/domainfacade.cpp
    src/domain/animation/animationproject.cpp
    src/domain/animation/exposure.cpp
    src/domain/animation/projectserializer.cpp
    src/domain/animation/scene.cpp
    src/domain/animation/take.cpp
    src/domain/undo/undobase.cpp
    src/domain/undo/undoexposureadd.cpp
    src/domain/undo/undoexposureinsert.cpp
    src/domain/undo/undoexposuremove.cpp
    src/domain/undo/undoexposureremove.cpp
    src/domain/undo/undoexposureselect.cpp
    src/domain/undo/undoprojectnew.cpp
    src/domain/undo/undoprojectopen.cpp
    src/domain/undo/undosceneadd.cpp
    src/domain/undo/undosceneinsert.cpp
    src/domain/undo/undoscenemove.cpp
    src/domain/undo/undosceneremove.cpp
    src/domain/undo/undosceneselect.cpp
    src/domain/undo/undotakeadd.cpp
    src/domain/undo/undotakeinsert.cpp
    src/domain/undo/undotakemove.cpp
    src/domain/undo/undotakeremove.cpp
    src/domain/undo/undotakeselect.cpp
    src/frontends/viewfacade.cpp
    src/frontends/qtfrontend/mainwindowgui.cpp
    src/frontends/qtfrontend/menuframe.cpp
    src/frontends/qtfrontend/qtfrontend.cpp
    src/frontends/qtfrontend/toolbar.cpp
    src/frontends/qtfrontend/dialogs/aboutdialog.cpp
    src/frontends/qtfrontend/dialogs/cameracontrollerdialog.cpp
    src/frontends/qtfrontend/dialogs/descriptiondialog.cpp
    src/frontends/qtfrontend/dialogs/externalcommanddialog.cpp
    src/frontends/qtfrontend/dialogs/helpbrowser.cpp
    src/frontends/qtfrontend/dialogs/startdialog.cpp
    src/frontends/qtfrontend/elements/clickablelabel.cpp
    src/frontends/qtfrontend/elements/flexiblelineedit.cpp
    src/frontends/qtfrontend/elements/flexiblespinbox.cpp
    src/frontends/qtfrontend/frameview/frameviewimage.cpp
    src/frontends/qtfrontend/frameview/frameviewinterface.cpp
    src/frontends/qtfrontend/preferences/exportwidget.cpp
    src/frontends/qtfrontend/preferences/generaldialog.cpp
    src/frontends/qtfrontend/preferences/generalwidget.cpp
    src/frontends/qtfrontend/preferences/grabberwidget.cpp
    src/frontends/qtfrontend/preferences/importwidget.cpp
    src/frontends/qtfrontend/preferences/projectdialog.cpp
    src/frontends/qtfrontend/preferences/projectwidget.cpp
    src/frontends/qtfrontend/preferences/transformwidget.cpp
    src/frontends/qtfrontend/timeline/timeline.cpp
    src/frontends/qtfrontend/timeline/exposurethumbview.cpp
    src/frontends/qtfrontend/timeline/thumbview.cpp
    src/frontends/qtfrontend/tooltabs/compositingtab.cpp
    src/frontends/qtfrontend/tooltabs/projecttab.cpp
    src/frontends/qtfrontend/tooltabs/recordingtab.cpp
    src/frontends/qtfrontend/tooltabs/viewtab.cpp
    src/technical/externalchangemonitor.cpp
    src/technical/preferenceselement.cpp
    src/technical/preferencestool.cpp
    src/technical/util.cpp
    src/technical/grabber/grabbercontrolcapabilities.cpp
    src/technical/grabber/grabbercontroller.cpp
    src/technical/grabber/grabberresolution.cpp
    src/technical/grabber/imageconverter.cpp
    src/technical/grabber/imagegrabber.cpp
