=== debian/changelog ===
qstopmotion (2.3.2-1) unstable; urgency=low

  * Initial release (Closes: #827840)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 14 Nov 2016 20:58:37 +0100
