=== debian/control ===
Source: qstopmotion
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>=10),
 libgphoto2-dev,
 libxml2-dev,
 libv4l-dev,
 qtbase5-dev,
 cmake
Standards-Version: 3.9.8
Homepage: http://www.qstopmotion.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qstopmotion.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/qstopmotion.git

Package: qstopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ffmpeg,
 v4l-utils
Description: Application for creating stop-motion animation movies
 The users will be able to create stop-motions from pictures imported
 from a camera or from the harddrive and export the animation to
 different video formats such as mpeg or avi.
