=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# SourceForge hosted projects
http://sf.net/qstopmotion/ qstopmotion-(.*)-Source\.tar\.gz debian uupdate
