## qstopmotion 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2016-11-10                                                     #
+# Last update: 2018-01-27                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -29,7 +29,16 @@
 
 project(qStopMotion)
 
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 3.0.2)
+
+# set path to additional CMake modules
+SET(
+    CMAKE_MODULE_PATH
+    ${CMAKE_SOURCE_DIR}/cmake
+    ${CMAKE_MODULE_PATH}
+)
+
+message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
 
 ###############################################################################
 # Platform check
@@ -79,8 +88,8 @@
 SET(CMAKE_PROJECT_NAME "qstopmotion")
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
-SET(QSTOPMOTION_VERSION_MINOR "3")
-SET(QSTOPMOTION_VERSION_PATCH "2")
+SET(QSTOPMOTION_VERSION_MINOR "4")
+SET(QSTOPMOTION_VERSION_PATCH "0")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -96,6 +105,8 @@
 find_package(Qt5 REQUIRED COMPONENTS Core Widgets Xml)
 
 message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")
+message("QT_INCLUDE_DIRS: ${Qt5Widgets_INCLUDE_DIRS}")
+message("QT_DEFINITIONS: ${QT_DEFINITIONS}")
 
 IF(CMAKE_BUILD_TYPE STREQUAL "Release")
     message("No Qt debug and warning output!")
@@ -191,6 +202,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.h
     src/frontends/qtfrontend/frameview/frameviewimage.h
     src/frontends/qtfrontend/frameview/frameviewinterface.h
+    src/frontends/qtfrontend/preferences/controlerwidget.h
     src/frontends/qtfrontend/preferences/exportwidget.h
     src/frontends/qtfrontend/preferences/generaldialog.h
     src/frontends/qtfrontend/preferences/generalwidget.h
@@ -272,6 +284,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.cpp
     src/frontends/qtfrontend/frameview/frameviewimage.cpp
     src/frontends/qtfrontend/frameview/frameviewinterface.cpp
+    src/frontends/qtfrontend/preferences/controlerwidget.cpp
     src/frontends/qtfrontend/preferences/exportwidget.cpp
     src/frontends/qtfrontend/preferences/generaldialog.cpp
     src/frontends/qtfrontend/preferences/generalwidget.cpp
@@ -287,12 +300,3 @@
     src/frontends/qtfrontend/tooltabs/projecttab.cpp
     src/frontends/qtfrontend/tooltabs/recordingtab.cpp
     src/frontends/qtfrontend/tooltabs/viewtab.cpp
-    src/technical/externalchangemonitor.cpp
-    src/technical/preferenceselement.cpp
-    src/technical/preferencestool.cpp
-    src/technical/util.cpp
-    src/technical/grabber/grabbercontrolcapabilities.cpp
-    src/technical/grabber/grabbercontroller.cpp
-    src/technical/grabber/grabberresolution.cpp
-    src/technical/grabber/imageconverter.cpp
-    src/technical/grabber/imagegrabber.cpp
