## qstopmotion 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2018-01-27                                                     #
+# Last update: 2018-12-08                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -89,7 +89,7 @@
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
 SET(QSTOPMOTION_VERSION_MINOR "4")
-SET(QSTOPMOTION_VERSION_PATCH "0")
+SET(QSTOPMOTION_VERSION_PATCH "1")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -202,7 +202,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.h
     src/frontends/qtfrontend/frameview/frameviewimage.h
     src/frontends/qtfrontend/frameview/frameviewinterface.h
-    src/frontends/qtfrontend/preferences/controlerwidget.h
+    src/frontends/qtfrontend/preferences/controllerwidget.h
     src/frontends/qtfrontend/preferences/exportwidget.h
     src/frontends/qtfrontend/preferences/generaldialog.h
     src/frontends/qtfrontend/preferences/generalwidget.h
@@ -284,7 +284,7 @@
     src/frontends/qtfrontend/elements/flexiblespinbox.cpp
     src/frontends/qtfrontend/frameview/frameviewimage.cpp
     src/frontends/qtfrontend/frameview/frameviewinterface.cpp
-    src/frontends/qtfrontend/preferences/controlerwidget.cpp
+    src/frontends/qtfrontend/preferences/controllerwidget.cpp
     src/frontends/qtfrontend/preferences/exportwidget.cpp
     src/frontends/qtfrontend/preferences/generaldialog.cpp
     src/frontends/qtfrontend/preferences/generalwidget.cpp
