=== debian/changelog ===
qstopmotion (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Adrian Knoth ]
  * New upstream version 2.4.1

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 25 Dec 2018 11:47:23 +0100
