## qstopmotion 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMake file for the qStopMotion project                                      #
 # (c) Ralf Lange, longsoft.de                                                 #
-# Last update: 2018-12-08                                                     #
+# Last update: 2021-01-06                                                     #
 #                                                                             #
 # Usage:                                                                      #
 #   * Qt-Creator (Windows, Linux)                                             #
@@ -10,8 +10,8 @@
 #      + press the CMake button                                               #
 #   * makefile: (Windows)                                                     #
 #      + open Visual Studio Command Prompt                                    #
-#        (for 64bit use: 'VS2013 x64 Native Tools Command Prompt'             #
-#        (for 32bit use: 'VS2013 x32 Native Tools Command Prompt'             #
+#        (for 64bit use: 'VS2017 x64 Native Tools Command Prompt'             #
+#        (for 32bit use: 'VS2017 x32 Native Tools Command Prompt'             #
 #      + cmake -G "NMake Makefiles" .                                         #
 #      + nmake                                                                #
 #      + nmake install (with administration rights)                           #
@@ -21,8 +21,8 @@
 #      + make                                                                 #
 #      + sudo make install                                                    #
 #   * MS Visual Studio (Windows)                                              #
-#      + for 32bit: cmake -G "Visual Studio 12 2013"                          #
-#      + for 64bit: cmake -G "Visual Studio 12 2013 x64"                      #
+#      + for 32bit: cmake -G "Visual Studio 12 2017"                          #
+#      + for 64bit: cmake -G "Visual Studio 12 2017 x64"                      #
 #      + open the solution file                                               #
 #                                                                             #
 ###############################################################################
@@ -30,6 +30,8 @@
 project(qStopMotion)
 
 cmake_minimum_required(VERSION 3.0.2)
+
+# option(CMAKE_VERBOSE_MAKEFILE ON)
 
 # set path to additional CMake modules
 SET(
@@ -38,7 +40,7 @@
     ${CMAKE_MODULE_PATH}
 )
 
-message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
+message("CMAKE_GENERATOR: ${CMAKE_GENERATOR}")
 
 ###############################################################################
 # Platform check
@@ -85,11 +87,13 @@
     )
 ENDIF(NOT DEFINED CMAKE_BUILD_TYPE)
 
+message("CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
+
 SET(CMAKE_PROJECT_NAME "qstopmotion")
 SET(QSTOPMOTION_HOMEPAGE "http://www.qstopmotion.org")
 SET(QSTOPMOTION_VERSION_MAJOR "2")
-SET(QSTOPMOTION_VERSION_MINOR "4")
-SET(QSTOPMOTION_VERSION_PATCH "1")
+SET(QSTOPMOTION_VERSION_MINOR "5")
+SET(QSTOPMOTION_VERSION_PATCH "2")
 
 SET(FILES_TO_TRANSLATE )
 
@@ -107,12 +111,6 @@
 message("Qt5 Version: ${Qt5Widgets_VERSION_STRING}")
 message("QT_INCLUDE_DIRS: ${Qt5Widgets_INCLUDE_DIRS}")
 message("QT_DEFINITIONS: ${QT_DEFINITIONS}")
-
-IF(CMAKE_BUILD_TYPE STREQUAL "Release")
-    message("No Qt debug and warning output!")
-    add_definitions(-DQT_NO_DEBUG_OUTPUT)
-    add_definitions(-DQT_NO_WARNING_OUTPUT)
-ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release")
 
 ###############################################################################
 # File definitions
@@ -300,3 +298,6 @@
     src/frontends/qtfrontend/tooltabs/projecttab.cpp
     src/frontends/qtfrontend/tooltabs/recordingtab.cpp
     src/frontends/qtfrontend/tooltabs/viewtab.cpp
+    src/technical/externalchangemonitor.cpp
+    src/technical/preferenceselement.cpp
+    src/technical/preferencestool.cpp
