=== debian/changelog ===
qstopmotion (2.5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113447)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 19:46:04 +0300

qstopmotion (2.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.2, no changes needed.

 -- Bastian Germann <bage@debian.org>  Fri, 14 Feb 2025 00:23:21 +0100

qstopmotion (2.5.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Adrian Knoth ]
  * New upstream version 2.5.2 (Closes: #935179)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 04 Jan 2021 17:29:12 +0100
