=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  libgphoto2-dev,
  libqwt-qt5-dev,
  libxml2-dev,
@@ -11,8 +11,8 @@
  qtbase5-dev,
  qtmultimedia5-dev,
  cmake
-Standards-Version: 4.2.0
-Homepage: http://www.qstopmotion.org
+Standards-Version: 4.6.2
+Homepage: https://www.qstopmotion.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/qstopmotion.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qstopmotion
